// $Id: IXslSource.h,v 1.2 2003/04/08 13:54:16 ta_muto Exp $
// The base class which specifies the XSLT source.

#ifndef __wax_IXslSource_h
#define __wax_IXslSource_h

#include <common.h>

namespace wax {
	class IXslSource {
	public:
		virtual ~IXslSource();
		
		virtual xsltStylesheetPtr getXslDocument() = 0;
		virtual bool retrieve() = 0;
	} ;
}

#endif
